class CreatePrintSettings < ActiveRecord::Migration[5.1]
  def change
    create_table :print_settings do |t|
      t.string  :name, :null => false
      t.string  :unique_code, :null => false
      t.string  :template
      t.string  :db_name 
      t.string  :db_type
      t.string  :db_username
      t.string  :db_password
      t.string  :printer_name, :null => false
      t.string  :api_settings
      t.decimal :page_width, :null => false, :default => 200
      t.decimal :page_height, :null => false, :default => 800
      t.integer :print_copies, :null => false, :default => 1
      t.string :precision
      t.boolean :delimiter
      t.integer :heading_space

      t.timestamps
    end
  end
end
